/*
 *      udevclient.h
 *      
 *      Copyright 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __UDEVCLIENT_H__
#define __UDEVCLIENT_H__

int udevclient_connection_create(void);
void udevclient_connection_close(int fd);
char *udevclient_get_event_string(char *str, char *param, char *buffer, ssize_t bufsize);
int udevclient_validate_change_block_device_event(char *request, unsigned int *major, unsigned int *minor);
void udevclient_parse_request(char *message, int msglen, int (*event_cb)(unsigned int major, unsigned int minor));

#endif /* __UDEVCLIENT_H__ */
